Subject: Re: bug#75855: 31.0.50; Cursor positioning in mini-window and echo-area
From: Eli Zaretskii <[email-masked]>
To: Gerd Möllmann <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Jan 2025 14:05:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 26 Jan 2025 12:12:24 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> To reproduce:
> 
>   $ emacs -Q -nw
>   C-x 5 b RET
>   M-: (frame-visible-p (next-frame))
> 
> After typing the last line above into the minibuffer, don't press RET.
> Instead, move the cursor left one character with C-b, so that the
> cursor is after the penultimate right parenthesis, and type "C-x C-e".
> This should evaluate the (next-frame) part and show the result in the
> echo-area.  But note that, while showing the result of the evaluation,
> the cursor is not at the end of the value returned by next-frame, but
> several places to the right, after some empty space.  This doesn't
> happen in Emacs 30.

This is now fixed on the master branch, probably by one of the recent
changes regarding cursor positions on TTY frames.  So I'm closing this
bug.